# Get all affiliates

| HTTP method | Endpoint           |
| ----------- | ------------------ |
| **GET**     | **/v1/affiliates** |

### Get all affiliates in a network.

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters                | Type    | Description                                                                                                                                                               |
| ---------- | ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset                    | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit                     | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort                      | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters                   | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                           |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields                    | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id                        | integer | A string that uniquely identifies this affiliate.                                                                                                                         |
|            | first\_name               | string  | The first\_name of the this affiliate.                                                                                                                                    |
|            | last\_name                | string  | The last\_name of the this affiliate.                                                                                                                                     |
|            | email                     | string  | The email of the this affiliate.                                                                                                                                          |
|            | company                   | string  | The company of the this affiliate.                                                                                                                                        |
|            | country                   | string  | The country of the affiliate’s physical address.                                                                                                                          |
|            | status                    | string  | Affiliate's status.                                                                                                                                                       |
|            | instant\_message\_account | string  | Instant message account.                                                                                                                                                  |
|            | instant\_message\_type    | integer | Types of instant message.                                                                                                                                                 |
|            | manager\_id               | integer | Manager id.                                                                                                                                                               |
|            | phone                     | string  | The phone number of the affiliate.                                                                                                                                        |
|            | website                   | string  |                                                                                                                                                                           |
|            | create\_time              | integer | Create time.                                                                                                                                                              |

### Response body parameters <a href="#response-body-parameters-4" id="response-body-parameters-4"></a>

| Field                     | Type    | Description                                                                                                        |
| ------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id                        | integer | A string that uniquely identifies this affiliate.                                                                  |
| first\_name               | string  | The first\_name of the this affiliate.                                                                             |
| last\_name                | string  | The last\_name of the this affiliate.                                                                              |
| email                     | string  | The email of the this affiliate.                                                                                   |
| company                   | string  | The company of the this affiliate.                                                                                 |
| country                   | string  | The country of the affiliate’s physical address.                                                                   |
| status                    | string  | Affiliate's status.                                                                                                |
| instant\_message\_account | string  | Instant message account.                                                                                           |
| instant\_message\_type    | integer | Types of instant message.                                                                                          |
| manager\_id               | integer | Manager id.                                                                                                        |
| phone                     | string  | The phone number of the affiliate.                                                                                 |
| website                   | string  |                                                                                                                    |
| create\_time              | integer | Create time.                                                                                                       |
| totalPages                | integer | The list of data pages (associated with your limit).                                                               |
| totalRows                 | integer | Total number of available data.                                                                                    |
| offset                    | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit                     | integer | The number of data displayed on one page                                                                           |

## Example request <a href="#example-request-4" id="example-request-4"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliates?limit=10&filters[id][GREATER_THAN]=4859&sort=-id,+name>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliates?limit=10&filters[id][GREATER_THAN]=4859&sort=-id,+name>

### Example response <a href="#example-response-4" id="example-response-4"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 4862,
            "email": "sunny@test.com",
            "first_name": "test",
            "last_name": "test",
            "country": "Aland Islands",
            "status": "deleted",
            "manager_id": 70,
            "website": "",
            "create_time": 1458370776,
            "company": "YQ",
            "instant_message_type": 5,
            "instant_message_account": "12343235",
            "phone": ""
          },
          {
            "id": 4861,
            "email": "test@test.com",
            "first_name": "offer",
            "last_name": "offer",
            "country": "Aland Islands",
            "status": "active",
            "manager_id": 1,
            "website": "http://www.baidu.com",
            "create_time": 1458370315,
            "company": "baidu",
            "instant_message_type": 0,
            "instant_message_account": "12345",
            "phone": ""
          },
          {
            "id": 4860,
            "email": "other@test.com",
            "first_name": "affiliate",
            "last_name": "test",
            "country": "Bahrain",
            "status": "active",
            "manager_id": 179,
            "website": "http://www.taobao.com",
            "create_time": 1458542113,
            "company": "taobao",
            "instant_message_type": 1,
            "instant_message_account": "123",
            "phone": ""
          }
        ],
        "totalPages": 1,
        "totalRows": 3,
        "offset": 1,
        "limit": 10
      }
    }
```
